メインコンテンツへスキップ
GET
/
automation
/
2026-09-beta
/
flows
/
email-campaigns
Retrieve workflow email campaigns
curl --request GET \
  --url https://api.hubapi.com/automation/2026-09-beta/flows/email-campaigns \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "emailCampaignId": "<string>",
      "emailContentId": "<string>",
      "flowId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

The paging cursor token of the last successfully read resource. Use this for pagination to retrieve the next set of results.

before
string

The paging cursor token to retrieve results before a specific point. Useful for reverse pagination.

flowId
string[]

A list of flow IDs to filter the email campaigns. This allows you to retrieve campaigns associated with specific flows.

limit
integer<int32>

The maximum number of results to display per page. Specify this to control the size of each page of results.

レスポンス

successful operation

results
object[]
必須
paging
object
Last modified on April 13, 2026